QT      += core gui widgets x11extras dbus

TARGET   = corestuff
TEMPLATE = app
VERSION  = 2.8.0

INCLUDEPATH += ./src/
INCLUDEPATH += ./src/activities ./src/home ./src/pins ./src/reminders ./src/sessions ./src/tasks ./src/tray

# Library section
unix:!macx: LIBS += -lcprime -lcsys #-lcorex11

#DEPENDPATH  += .

#INCLUDEPATH += ../libcorex11/
#LIBS += -L../libcorex11/ -lcorex11

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

#INCLUDEPATH += ../plugins #../libcorex11

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR       = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# Disable Debug on Release
CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT

FORMS += \
    src/activities/pageactivites.ui \
    src/apps/pageapps.ui \
    src/corestuff.ui \
    src/home/pagehome.ui \
    src/pins/pagepins.ui \
    src/sessions/pagesessions.ui \
    src/sessions/sessionsavedialog.ui \
    src/tasks/pagetasks.ui

HEADERS += \
    src/activities/pageactivites.h \
    src/apps/pageapps.h \
    src/button.h \
    src/corestuff.h \
    src/powerdlg.h \
    src/home/pagehome.h \
    src/pins/pagepins.h \
    src/tasks/pagetasks.h \
    src/sessions/pagesessions.h \
    src/sessions/sessionsavedialog.h \
    src/slidingstackedwidget.h \
    src/global.h
#    ../plugins/tasksplugin.h

SOURCES += \
    src/activities/pageactivites.cpp \
    src/apps/pageapps.cpp \
    src/button.cpp \
    src/corestuff.cpp \
    src/powerdlg.cpp \
    src/home/pagehome.cpp \
    src/main.cpp \
    src/tasks/pagetasks.cpp \
    src/pins/pagepins.cpp \
    src/sessions/pagesessions.cpp \
    src/sessions/sessionsavedialog.cpp \
    src/slidingstackedwidget.cpp

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }

        BINDIR        = $$PREFIX/bin

        target.path   = $$BINDIR

        desktop.path  = $$PREFIX/share/applications/
        desktop.files = "corestuff.desktop"

        icons.path    = /usr/share/icons/hicolor/scalable/apps/
        icons.files   = corestuff.svg

        background.path = $$PREFIX/share/coreapps/background/
        background.files = background/default.svg

        INSTALLS     += target icons desktop background
}
