/*
	*
	* This file is a part of CoreStuff.
	* An activity viewer for CuboCore Application Suite
	* Copyright 2019 CuboCore Group
	*

	*
	* This program is free software; you can redistribute it and/or modify
	* it under the terms of the GNU General Public License as published by
	* the Free Software Foundation; either version 3 of the License, or
	* (at your option) any later version.
	*

	*
	* This program is distributed in the hope that it will be useful,
	* but WITHOUT ANY WARRANTY; without even the implied warranty of
	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	* GNU General Public License for more details.
	*

	*
	* You should have received a copy of the GNU General Public License
	* along with this program; if not, write to the Free Software
	* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	* MA 02110-1301, USA.
	*
*/

#pragma once

#include <QListWidget>
#include <QtPlugin>

class TasksPlugin : public QObject {
	Q_OBJECT

	public:
		virtual ~TasksPlugin() {}

		virtual void init() = 0;

		/* Target of the plugin */
		virtual void setBackendTarget( QListWidget * ) = 0;

		/* Update the list of clients */
		virtual void updateClientList() = 0;

		/* Show/unshow the desktop */
		virtual void showDesktop() = 0;

		/* Show/unshow the desktop */
		virtual QSize desktopSize() = 0;

	Q_SIGNALS:
		/* Signal for corestuff to resize to occupy full available space */
		void resizeDesktop();

		/* Signal for corestuff to activate the dock button */
		void activateDock();
};

QT_BEGIN_NAMESPACE
	Q_DECLARE_INTERFACE( TasksPlugin, "com.corestuff.tasksplugin" )
QT_END_NAMESPACE
